//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 16 point
//     Bold: yes
//     Italic: no
//     Memory usage: 2000 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 16 point Apercu bold font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu16bData[1799] =
{
      5,   6,   0,  12,  96,  11,   3,  98,  18,  18,  18,  18,
     18,  18, 162, 208,  13,   7, 226,  19,  18,  33,  49,  33,
     49,  33,   0,   9, 112,  26,  11, 240, 177,  33,  98,  33,
     98,  18,  73,  65,  34,  97,  33,  98,  33,  73,  66,  18,
     97,  34,  97,  33,   0,   6,  16,  21,   8,  34,  98,  70,
     34,  34,  34,  99, 100,  84,  99,  17,  66,  18,  50,  22,
     67,  82, 240, 208,  31,  13, 240, 195,  82,  34,  18,  50,
     50,  18,  34,  83,  49, 178, 162, 162,  20,  97,  18,  34,
     66,  18,  34,  50,  34,  34,  34,  68,   0,   6,  96,  24,
     10, 240, 116,  82,  34,  66,  34,  70,  84,  84,  82,  34,
     18,  18,  37,  18,  51,  50,  35,  71, 240, 240, 176,   9,
      3,  98,  18,  33,  33, 240, 240,  64,  15,   4, 146,  34,
     33,  34,  34,  34,  34,  34,  34,  49,  50,  34, 208,  15,
      4, 130,  34,  49,  50,  34,  34,  34,  34,  34,  34,  18,
     34, 224,  15,   7, 240,  18,  49,  18,  17,  22,  36,  52,
     49,  33,   0,   8,  16,  14,   9,   0,   6,   2, 114, 114,
     72,  66, 114, 114,   0,   6,  16,   9,   4, 240, 240, 242,
     34,  18,  34, 160,   8,   7,   0,   7,   6,   0,   7,  16,
      6,   3, 240, 240,  98, 208,  19,  10, 240,  34, 129, 130,
    114, 130, 114, 130, 114, 130, 114, 129, 130, 114, 240, 240,
    128,  26,   9, 240,  84,  66,  34,  34,  65,  34,  66,  18,
     66,  18,  66,  18,  66,  18,  66,  18,  66,  34,  34,  68,
    240, 240, 144,  16,   5, 194,  35,  20,  17,  18,  50,  50,
     50,  50,  50,  50,  50, 240,  96,  19,   8, 240,  36,  51,
     33,  49,  50,  98,  83,  82,  83,  67,  67,  83,  71, 240,
    240,  48,  19,   9, 240,  70,  98, 114,  98, 101,  85, 114,
    114,  19,  50,  34,  34,  68, 240, 240, 144,  21,   9, 240,
    130,  99,  84,  84,  66,  18,  66,  18,  50,  34,  50,  34,
     40,  98, 114, 240, 240, 128,  20,   8, 240,  37,  34,  98,
     98, 102,  34,  35,  98,  98,  18,  50,  18,  34,  52, 240,
    240,  80,  22,   8, 240,  66,  98,  82,  98,  84,  66,  18,
     34,  50,  18,  50,  18,  50,  34,  18,  67, 240, 240,  80,
     17,   8, 240,  23,  83,  82,  98,  82,  98,  83,  82,  98,
     82,  98, 240, 240, 112,  25,   8, 240,  51,  50,  49,  34,
     50,  18,  50,  18,  50,  37,  34,  50,  18,  50,  18,  50,
     18,  50,  51, 240, 240,  80,  22,   8, 240,  51,  66,  18,
     34,  50,  18,  50,  18,  50,  34,  18,  68,  82,  98,  82,
     98, 240, 240,  96,   6,   3, 242, 240,  66, 208,  10,   4,
    240,  98, 226,  33,  34,  33, 240,  64,  15,   8, 240, 240,
    129,  83,  52,  36,  67, 100, 100,  98, 240, 240, 176,  10,
      8,   0,   6,   7, 240,  39,   0,   7,  16,  15,   8, 240,
    240,  33, 115, 100, 100,  68,  37,  36,  66,   0,   5,  96,
     15,   7, 244,  34,  34,  82,  52,  35,  65, 115, 240, 162,
    240, 240,  16,  35,  14, 240, 240,  38,  99,  67,  50, 114,
     50,  21,  34,  18,  18,  34,  34,  18,  18,  34,  34,  18,
     18,  34,  34,  18,  35,  20,  34, 210, 210,  82, 119, 240,
    240, 240,  23,  11, 240, 178, 131, 132, 116,  98,  19,  82,
     34,  82,  34,  72,  50,  66,  50,  66,  34,  83, 240, 240,
    240,  25,   9, 240,  54,  50,  50,  34,  50,  34,  50,  34,
     50,  38,  50,  51,  18,  66,  18,  66,  18,  51,  23, 240,
    240, 128,  21,  11, 240, 165,  67,  50,  50,  82,  18, 146,
    146, 146, 146, 162,  82,  35,  50,  85,   0,   5, 112,  26,
     10, 240,  86,  66,  51,  34,  66,  34,  82,  18,  82,  18,
     82,  18,  82,  18,  82,  18,  66,  34,  51,  38, 240, 240,
    224,  17,   8, 240,  23,  18,  98,  98,  98, 102,  34,  98,
     98,  98, 103, 240, 240,  48,  17,   8, 240,  23,  18,  98,
     98,  98, 102,  34,  98,  98,  98,  98, 240, 240, 128,  24,
     11, 240, 165,  82,  50,  50,  82,  18,  97,  34, 146, 146,
     68,  18,  98,  34,  82,  50,  51,  71, 240, 240, 240,  27,
     10, 240,  82,  82,  18,  82,  18,  82,  18,  82,  18,  82,
     25,  18,  82,  18,  82,  18,  82,  18,  82,  18,  82, 240,
    240, 176,  14,   3,  98,  18,  18,  18,  18,  18,  18,  18,
     18,  18,  18, 208,  18,   8, 240,  98,  98,  98,  98,  98,
     98,  98,  98,  98,  18,  50,  37, 240, 240,  64,  26,   9,
    240,  50,  51,  18,  35,  34,  19,  50,  18,  68,  84,  82,
     18,  66,  19,  50,  35,  34,  50,  34,  66, 240, 240, 112,
     17,   8, 240,  18,  98,  98,  98,  98,  98,  98,  98,  98,
     98, 103, 240, 240,  48,  32,  11, 240, 114,  98,  19,  67,
     19,  67,  20,  36,  20,  36,  20,  36,  18,  20,  18,  18,
     20,  18,  18,  34,  34,  18,  34,  34,  18,  98, 240, 240,
    240,  29,   9, 240,  50,  66,  19,  50,  19,  50,  20,  34,
     21,  18,  18,  18,  18,  18,  21,  18,  36,  18,  51,  18,
     51,  18,  66, 240, 240, 112,  26,  12, 240, 197,  83,  50,
     66,  82,  34, 114,  18, 114,  18, 114,  18, 114,  18, 114,
     34,  82,  51,  51,  85,   0,   6,  64,  21,   9, 240,  55,
     34,  66,  18,  66,  18,  66,  18,  66,  23,  34, 114, 114,
    114, 114, 240, 240, 208,  27,  12, 240, 197,  83,  50,  66,
     82,  34, 114,  18, 114,  18, 114,  18,  81,  18,  18,  69,
     34,  68,  50,  51,  88,   0,   6,  16,  26,   9, 240,  54,
     50,  50,  34,  50,  34,  50,  34,  50,  38,  50,  18,  66,
     34,  50,  35,  34,  50,  34,  51, 240, 240, 112,  20,   9,
    240,  85,  50,  34,  50, 115, 101,  85,  85,  99,  18,  66,
     34,  49,  68, 240, 240, 144,  17,   9, 240,  56,  66, 114,
    114, 114, 114, 114, 114, 114, 114, 114, 240, 240, 160,  27,
      9, 240,  50,  66,  18,  66,  18,  66,  18,  66,  18,  66,
     18,  66,  18,  66,  18,  66,  18,  66,  34,  34,  68, 240,
    240, 144,  24,  10, 240,  82,  82,  34,  66,  34,  66,  34,
     50,  66,  34,  66,  34,  66,  18, 100, 100,  99, 130, 240,
    240, 224,  37,  15, 240, 243, 146,  34,  50,  66,  34,  51,
     50,  34,  51,  35,  35,  20,  34,  66,  18,  18,  18,  66,
     18,  18,  18,  66,  17,  36,  99,  51,  99,  51,  99,  51,
      0,   7, 112,  24,  10, 240,  98,  51,  50,  34,  66,  18,
    100,  99, 115, 116,  82,  18,  82,  34,  50,  50,  35,  66,
    240, 240, 176,  20,   9, 240,  50,  66,  34,  34,  50,  34,
     68,  84,  98, 114, 114, 114, 114, 114, 240, 240, 160,  17,
      8, 240,  23,  83,  82,  83,  82,  83,  82,  83,  82,  83,
     87, 240, 240,  48,  16,   5,  84,  18,  50,  50,  50,  50,
     50,  50,  50,  50,  50,  52, 240,  96,  17,   9, 146, 114,
    130, 114, 130, 129, 130, 130, 114, 130, 114, 130, 114, 240,
    208,  16,   5,  84,  50,  50,  50,  50,  50,  50,  50,  50,
     50,  50,  20, 240,  96,  14,   9, 240,  98, 100,  66,  18,
     50,  50,  34,  66,   0,  11,  48,   7,   8,   0,  13,   7,
    240, 160,   6,   3,  98, 240, 240, 208,  19,   8, 240, 240,
    181,  34,  50,  98,  38,  18,  50,  18,  50,  18,  35,  38,
    240, 240,  48,  23,   9, 240,  50, 114, 114, 118,  51,  34,
     34,  66,  18,  66,  18,  66,  18,  66,  19,  34,  38, 240,
    240, 144,  17,   8, 240, 240, 196,  50,  34,  18,  98,  98,
     98, 114,  34,  52, 240, 240,  64,  23,   9, 240, 146, 114,
    114,  54,  34,  35,  18,  66,  18,  66,  18,  66,  18,  66,
     34,  35,  54, 240, 240, 112,  19,   9,   0,   5, 116,  66,
     34,  34,  66,  24,  18, 114,  65,  50,  35,  52, 240, 240,
    144,  15,   6, 227,  34,  66,  53,  34,  66,  66,  66,  66,
     66,  66, 240, 192,  21,   8, 240, 240, 197,  34,  34,  34,
     34,  34,  34,  37,  34,  98, 117,  34,  50,  18,  50,  37,
    160,  24,   8, 240,  18,  98,  98, 102,  35,  34,  18,  50,
     18,  50,  18,  50,  18,  50,  18,  50,  18,  50, 240, 240,
     48,  12,   3,  98, 114,  18,  18,  18,  18,  18,  18,  18,
    208,  15,   5, 194, 210,  50,  50,  50,  50,  50,  50,  50,
     50,  19,  49, 128,  23,   8, 240,  18,  98,  98,  98,  35,
     18,  19,  34,  18,  52,  68,  66,  18,  50,  34,  34,  35,
    240, 240,  48,  14,   3,  98,  18,  18,  18,  18,  18,  18,
     18,  18,  18,  18, 208,  30,  13,   0,   8,  22,  35,  35,
     35,  34,  18,  50,  50,  18,  50,  50,  18,  50,  50,  18,
     50,  50,  18,  50,  50,  18,  50,  50,   0,   6,  80,  22,
      8, 240, 240, 166,  35,  34,  18,  50,  18,  50,  18,  50,
     18,  50,  18,  50,  18,  50, 240, 240,  48,  21,   9,   0,
      5, 116,  66,  34,  34,  66,  18,  66,  18,  66,  18,  66,
     34,  34,  68, 240, 240, 144,  23,   9, 240, 240, 246,  51,
     34,  34,  66,  18,  66,  18,  66,  18,  66,  19,  34,  38,
     50, 114, 114, 240,  16,  22,   9,   0,   5, 118,  34,  35,
     18,  66,  18,  66,  18,  66,  18,  66,  34,  35,  54, 114,
    114, 114, 160,  13,   6, 240, 245,  19,  50,  66,  66,  66,
     66,  66, 240, 208,  17,   8, 240, 240, 196,  50,  33,  51,
     85,  69,  98,  19,  34,  52, 240, 240,  64,  15,   6, 225,
     66,  66,  53,  34,  66,  66,  66,  66,  66,  83, 240, 160,
     22,   8, 240, 240, 162,  50,  18,  50,  18,  50,  18,  50,
     18,  50,  18,  50,  18,  35,  38, 240, 240,  48,  20,   8,
    240, 240, 162,  50,  34,  34,  34,  34,  34,  18,  65,  18,
     67,  83,  98, 240, 240,  80,  28,  12,   0,   7,  66,  34,
     50,  18,  34,  34,  34,  35,  18,  49,  20,  18,  52,  17,
     17,  67,  35,  82,  35,  82,  34,   0,   6,  64,  19,   8,
    240, 240, 178,  34,  34,  18,  68,  82,  83,  84,  50,  34,
     19,  34, 240, 240,  48,  20,   8, 240, 240, 162,  50,  34,
     34,  34,  34,  34,  18,  68,  68,  82,  98,  97,  98,  98,
    192,  14,   7, 240, 240,  86,  66,  82,  66,  82,  66,  82,
     70, 240, 224,  15,   6, 227,  50,  66,  66,  66,  35,  82,
     66,  66,  66,  67, 240, 160,  15,   3,  98,  18,  18,  18,
     18,  18,  18,  18,  18,  18,  18,  18, 160,  15,   5, 163,
     50,  50,  50,  50,  66,  34,  50,  50,  50,  35, 240, 112,
     11,   8,   0,   7,   3,  49,  17,  36,   0,   8,  16,
};

//*****************************************************************************
//
// The font definition for the 16 point Apercu bold font.
//
//*****************************************************************************
const tFont g_sFontApercu16b =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    13,

    //
    // The height of the font.
    //
    17,

    //
    // The baseline of the font.
    //
    13,

    //
    // The offset to each character in the font.
    //
    {
           0,    5,   16,   29,   55,   76,  107,  131,
         140,  155,  170,  185,  199,  208,  216,  222,
         241,  267,  283,  302,  321,  342,  362,  384,
         401,  426,  448,  454,  464,  479,  489,  504,
         519,  554,  577,  602,  623,  649,  666,  683,
         707,  734,  748,  766,  792,  809,  841,  870,
         896,  917,  944,  970,  990, 1007, 1034, 1058,
        1095, 1119, 1139, 1156, 1172, 1189, 1205, 1219,
        1226, 1232, 1251, 1274, 1291, 1314, 1333, 1348,
        1369, 1393, 1405, 1420, 1443, 1457, 1487, 1509,
        1530, 1553, 1575, 1588, 1605, 1620, 1642, 1662,
        1690, 1709, 1729, 1743, 1758, 1773, 1788,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu16bData
};
